Get a specific evaluation result by ID
curl --request GET \
--url https://beta.getplum.ai/v1/evaluation/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://beta.getplum.ai/v1/evaluation/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://beta.getplum.ai/v1/evaluation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results_id": "<string>",
"created_at": "<string>",
"dataset_id": "<string>",
"metrics_id": "<string>",
"metrics_definitions": [
"<string>"
],
"pair_count": 123,
"system_prompt": "<string>",
"score_means": [
123
],
"score_medians": [
123
],
"score_mins": [
123
],
"score_maxes": [
123
],
"score_std_devs": [
123
],
"score_confidence_intervals": [
{
"ci_low": 123,
"ci_high": 123,
"ci_confidence": 123
}
],
"min_scoring_pairs": [
[
{
"reason": "<string>",
"pair_id": "<string>",
"score": 123
}
]
],
"all_scored_pairs": [
[
{
"reason": "<string>",
"pair_id": "<string>",
"score": 123
}
]
],
"human_critique": [
{
"id": "<string>",
"pair_id": "<string>",
"metric_idx": 123,
"comment": "<string>",
"vote": -1,
"user": "<string>",
"user_email": "<string>",
"time": "<string>"
}
]
}API Reference
Get a specific evaluation result by ID
GET
/
evaluation
/
{id}
Get a specific evaluation result by ID
Authorizations
Path Parameters
Query Parameters
Whether to include all scored pairs with their scores and reasons in the API response (useful for detailed analysis)
Response
200 - application/json
Successfully retrieved evaluation result
Show child attributes
Show child attributes
Show child attributes
Show child attributes
All scored pairs with scores and reasons (only included when includeAllScores=true)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I